Bug 91966 - New version (0.38.05) of Devlabel is available (but 0.41.01 will make life easier for you)
New version (0.38.05) of Devlabel is available (but 0.41.01 will make life ea...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: devlabel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-30 09:25 EDT by Peter van Egdom
Modified: 2014-03-16 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-24 01:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2003-05-30 09:25:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:

According to the site "http://www.lerhaupt.com/devlabel/devlabel.html" there's a
newer version of Devlabel available than the version in current (30 may 2003)
Rawhide.

According to the .spec file this newer version has additional features,
bugfixes, code cleanups and updates to the manpage.

.... Could be interesting for Red Hat Enterprise Linux users.




Version-Release number of selected component (if applicable):
devlabel-0.26.08-3

How reproducible:
Always

Steps to Reproduce:
1. Checkout current Rawhide
2. Checkout "http://www.lerhaupt.com/devlabel/devlabel.html"
3.
    

Actual Results:  
1. devlabel-0.26.08
2. devlabel-0.38.05

Expected Results:  
1. devlabel-0.38.05
2. devlabel-0.38.05

:-)


Additional info:
Comment 1 David Balažic 2003-06-02 11:13:00 EDT
devlabel 0.26 fails if you create a link to hdx6,
then remove dx4 ( so hdx6 is renamed to hdx5 ).
0.3x.x versions can handle this situation.

Although there is a possible config file incompatibility ( but nothing 
insolvable ).
Comment 2 Bill Nottingham 2003-06-03 11:48:10 EDT
0.38.07 will be in rawhide in the next day or three.
Comment 3 Gary Lerhaupt 2003-06-05 21:08:00 EDT
by the way, that config file incompatability can be handled with `devlabel
reverseremap`.  this prints a warning that its about to ditch column 3 (uuids)
of /etc/sysconfig/devlabel and refigure it out based on what's in column 2 (last
known device name).  to actually do it you have to also specify --force.
Comment 4 David Balažic 2003-06-11 04:02:55 EDT
Bill, you should have waited until we ( me and Gary ) work out an automatic 
upgrade script :-(

IMO "rpm -U devlabel-x.x.x.rpm" should be all that is needed for smooth 
upgrade. Requiring manual execution of some commands is bad, consider automatic 
updates, mass updates etc ...
Comment 5 Bill Nottingham 2003-06-11 12:11:22 EDT
Hey, if you don't want me to put it in, don't send me mails saying this new
version is available. :)

Seriously, this is much like upgrades of other apps we have that don't read old
config files.
Comment 6 David Balažic 2003-06-17 13:33:37 EDT
The latest version (0.40.03) has a solution for this. ( note : I did not 
downloaded it yet myself ).

Include this version ! :-)
Comment 7 Gary Lerhaupt 2003-06-18 17:50:37 EDT
Yes, 0.40 handles the upgrade process.  This will significantly decrease 
customer issues.  As well, I have worked with Tom Coughlan to fix some of uuid 
handling issues for weird cases.  Specifically, if the association value is 
non-zero for a page83 id (meaning its the uuid based on the port and is 
unstable), scsi_unique_id no longer returns it.  As well, if a device returns 
two identifiers of the same page and type, devlabel concatenates them rather 
than breaking.  Latest is 0.41.01.
Comment 8 Bill Nottingham 2003-07-24 01:37:06 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.